This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 52121 - CGI::Cookie too old (buggie version)
CGI::Cookie too old (buggie version)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-20 15:10 EDT by Need Real Name
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 16:25:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-20 15:10:55 EDT
Description of Problem:
Version 1.12 of CGI::Cookie comes with the perl-package. This is way too
old. In certain circumstances it can eat posted variables when used in
Apache with mod_perl, so that all pages that use "method=post" don't work. 

Version-Release number of selected component (if applicable):
perl-5.6.0-12

How Reproducible:
Make a perl-handler for Apache (linked with mod_perl) and do 
parse CGI::Cookie($r->header_in('Cookie')). For all pages that are handled
by this handler, the parameters sended with method=post are gone!

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Chip Turner 2001-12-19 03:18:45 EST
Rawhide perl 5.6.1 includes a more recent CGI bundle

Note You need to log in before you can comment on or make changes to this bug.